extends:
  - spectral:oas
  #  - https://italia.github.io/api-oas-checker/spectral.yml
  - https://italia.github.io/api-oas-checker/spectral-generic.yml
  - https://italia.github.io/api-oas-checker/spectral-security.yml
rules:
  no-default-additionalProperties: hint
  string-maxlength: hint
  typed-enum: error
  response-with-json-object: error

  # Disabled, since we don't want a /status endpoint.
  # See https://git.fitko.de/fit-connect/api/-/merge_requests/37
  paths-status: off
  paths-status-return-problem: off
  paths-status-problem-schema: off

except:
  '#/info/version':
    - use-semver
